.App {
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    padding: 10px;
}

.App div {
    padding: 10px;
}

.App div input {
    border-radius: 20px 0 0 20px;
    height: 30px;
    border: 2px solid #bcb7b7;
    font-size: 16px;
    padding-left: 15px;
    border-right: none;
}
.App div input:focus-visible {
    outline: none;
}

.App div button {
    border: none;
    height: 36px;
    width: 100px;
    background: #b1acac;
    font-size: 16px;
    border-radius: 0 20px 20px 0;
    cursor: pointer;
}

.App div button:hover {
    background: #8a8585;
    color: #fff;
}

.App div button:active {
    background: #584f4f;
}

.App .encryption-div {
    border: 2px dashed grey;
    min-width: 400px;
    min-height: 400px;
    margin-right: 10px;
}

.App .decryption-div {
    border: 2px dashed grey;
    min-width: 400px;
    min-height: 400px;
}

.encPre {
    background: #d5d5d5;
    box-shadow: 1px;
    box-shadow: 0 0 13px inset #a3a0a0;
    padding: 10px;
    border-radius: 5px;
    /* height: 25px; */
    display: flex;
    align-items: center;
}

.App div .encPre span {
    margin-right: 5px;
    width: 376px;
    white-space: normal;
    word-break: break-all;
}
.App div .encPre button {
    border: none;
    height: 25px;
    width: 60px;
    background: #b1acac;
    font-size: 12px;
    border-radius: 5px;
    cursor: pointer;
    display: none;
    position: absolute;
    left: 45%;
    top: 31%;
}

.App div .encPre:hover button {
    display: inline-block;
}

.descPre {
    background: #d5d5d5;
    box-shadow: 1px;
    box-shadow: 0 0 13px inset #a3a0a0;
    padding: 10px;
    border-radius: 5px;
    /* height: 25px; */
    display: flex;
    align-items: center;
}

.App div .descPre span {
    margin-right: 5px;
    width: 376px;
    white-space: normal;
    word-break: break-all;
}
.App div .descPre button {
    border: none;
    height: 25px;
    width: 60px;
    background: #b1acac;
    font-size: 12px;
    border-radius: 5px;
    cursor: pointer;
    display: none;
    position: absolute;
    left: 45%;
    top: 31%;
}

.App div .descPre:hover button {
    display: inline-block;
}
